# TODO:
# - consider move %{_bindir}/rpmorphan-lib.pl to other place
# - rpmduplicate show multilib packages as duplicated, IMO this is incorrect
#   # rpmduplicate
#   duplicate fam-libs : 2.7.0-7 (Fri Mar  2 01:55:12 2007) / 2.7.0-7 (Fri Mar  2 03:47:52 2007)
#   suggest : rpm -e fam-libs-2.7.0-7
#   # rpm -q fam-libs
#   fam-libs-2.7.0-7.x86_64
#   fam-libs-2.7.0-7.i686
# - rpmdeps doesn't support provides, it shows them as missing
#   "WARNING can not find who provide XXX" where XXX is not installed provide
%include	/usr/lib/rpm/macros.perl
Summary:	rpmorphan - list the orphaned rpm packages
Summary(fr.UTF-8):	rpmorphan liste les packages rpm orphelins
Summary(pl.UTF-8):	rpmorphan - wyświetlanie listy osieroconych pakietów
Name:		rpmorphan
Version:	1.13
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/rpmorphan/%{name}-%{version}.tar.gz
# Source0-md5:	69840f80398ab94cfb04c1792392346a
Patch0:		%{name}-noarch.patch
URL:		http://rpmorphan.sourceforge.net/
BuildRequires:	rpm-perlprov
Suggests:	perl-Curses-UI
Suggests:	perl-Tk
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rpmorphan finds "orphaned" packages on your system. It determines
which packages have no other packages depending on their installation,
and shows you a list of these packages. It intends to be clone of
deborphan debian tools for rpm packages.

It will try to help you to remove unused packages, for example:
- after a distribution upgrade,
- when you want to suppress packages after some tests.

Several tools are also provided:
- rpmusage - display rpm packages last use date
- rpmdep - display the full dependency of an installed rpm package
- rpmduplicates - find programs with several version installed

%description -l fr.UTF-8
Le logiciel rpmorphan liste les packages rpm qui n'ont plus de
dépendances avec les autres paquets installés sur votre systčme. C'est
un clone du logiciel deborphan de debian pour les packages rpm.

Il peut vous aider pour supprimer les packages inutilisés, par
exemple:
- aprčs une montée de version systčme,
- lors de la suppression de logiciels aprčs des tests.

Plusieurs outils sont également fournis:
- rpmusage - donne la date de la derničre utilisation d'un package
- rpmdep - founit l'ensemble des dependances (recursive) d'un package
- rpmduplicates - cherche les logiciels qui ont plusieurs versions
  installées

%description -l pl.UTF-8
rpmorphan znajduje "osierocone" pakiety w systemie. Określa które
pakiety nie są zależnościami innych pakietów i wyświetla ich listę. W
zamyśle ma to być klon deborphana dla pakietów rpm.

Pomaga on usuwać nie używane pakiety, np.:
- po uaktualnieniu dystrybucji,
- kiedy chcemy usunąć pakiety po jakichś testach.

Dostarcza dodatkowo narzędzia:
- rpmusage - wyświetla datę ostatniego użycia pakietu
- rpmdep - wyświetla pełne zależności zainstalowanego pakietu
- rpmduplicates - wyszukuje programy zainstalowane w kilku wersjach

%prep
%setup -q
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install rpmorphanrc.sample $RPM_BUILD_ROOT%{_sysconfdir}/rpmorphanrc
touch $RPM_BUILD_ROOT/var/log/%{name}.log

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Authors Changelog NEWS Readme Todo
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpmorphanrc
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/rpmorphan
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/rpmorphan
%{_datadir}/rpmorphan/rpmorphan*lib.pl
%dir %{_datadir}/rpmorphan/locale
%{_datadir}/rpmorphan/locale/en
%lang(fr) %{_datadir}/rpmorphan/locale/fr_FR
%{_mandir}/man1/rpmdep.1*
%{_mandir}/man1/rpmextra.1*
%{_mandir}/man1/rpmduplicates.1*
%{_mandir}/man1/rpmorphan.1*
%{_mandir}/man1/rpmusage.1*
%attr(640,root,root) %ghost /var/log/%{name}.log
%dir /var/lib/%{name}
/var/lib/%{name}/keep
%changelog
* Sun Dec 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpmorphan.git;a=log;h=master

* Sun Dec 08 2013 Jan Rękorajski <baggins@pld-linux.org> 6f3c228
- up to 1.13

* Sun Sep 02 2012 Łukasz Kieś <kiesiu@pld-linux.org> 5bbf505
- updated to 1.11

* Wed Sep 14 2011 lisu <lisu@pld-linux.org> 1d3aa5e
- pl fix

* Mon Jul 11 2011 Zsolt Udvari <uzsolt@pld-linux.org> 98d6c20
- 1.10

* Thu Mar 24 2011 Zsolt Udvari <uzsolt@pld-linux.org> d7bb1ad
- 1.9
- rpmextra manual page
- rel 1

* Sun Nov 14 2010 Jan Rękorajski <baggins@pld-linux.org> 9238ce9
- move locale from /usr/lib to /usr/share

* Sat Nov 13 2010 Jan Rękorajski <baggins@pld-linux.org> 6ef7d7a
- rel 2
- use make for installing and fix files list

* Wed May 05 2010 Zsolt Udvari <uzsolt@pld-linux.org> 3717231
- 1.8

* Fri Jan 22 2010 Zsolt Udvari <uzsolt@pld-linux.org> ac66f05
- up to 1.6 (untested)

* Sat Dec 12 2009 Zsolt Udvari <uzsolt@pld-linux.org> 51e5fb7
- 1.5

* Mon Jan 12 2009 arvenil <arvenil@pld-linux.org> dedee4c
- up to 1.4 (untested)

* Mon Oct 20 2008 arvenil <arvenil@pld-linux.org> 27d89f8
- patch already in source

* Mon Oct 20 2008 arvenil <arvenil@pld-linux.org> efce9e2
- up to 1.3
- patch -array_rc_opt.patch already in source

* Sun Oct 19 2008 Szymon Siwek <sls@pld-linux.org> fbccd9c
- added array_rc_opt.patch
- rel. 2

* Sun Oct 19 2008 Szymon Siwek <sls@pld-linux.org> f609e08
- if there's a 'exclude' entry in configuration file, rpmorphan fails
  with message:
  "Not a SCALAR reference at /usr/bin/rpmorphan-lib.pl line 379, <$fh_rc>
  line 41."

* Wed Apr 09 2008 arvenil <arvenil@pld-linux.org> 1cca0f9
- up to 1.2
- applications renamed instead making simlinks
- no more SIGSEGV after exiting tk gui
- more TODO

* Mon Mar 17 2008 Jakub Bogusz <qboosh@pld-linux.org> 551d0a9
- use perlprov to get perl-modules dep

* Sun Mar 16 2008 arvenil <arvenil@pld-linux.org> 3633052
- R: perl-modules

* Sun Mar 16 2008 arvenil <arvenil@pld-linux.org> b982f50
- release 1

* Sun Dec 30 2007 arvenil <arvenil@pld-linux.org> 8c0ae30
- up to 1.1
- added TODO

